/* head.c
	P.Chongstitvatana
	1 Sept 97
*/

#include <stdio.h>

#define 	PRIVATE	static

#define		MAGIC	0x1abc
#define		VER	1

PRIVATE FILE *Fin,*Fout;
PRIVATE putInt( int n );
PRIVATE int getInt();

writeHead(FILE *fo, int csize, int dsize, int psize)
{
  Fout = fo;
  putInt(MAGIC);
  putInt(VER);
  putInt(csize);
  putInt(dsize);
  putInt(psize);
  putInt(0);
  putInt(0);
  putInt(0);
}

readHead(FILE *fi, int *csize, int *dsize, int *psize)
{
  Fin = fi;
  if( getInt() != MAGIC ) {
    printf("not an icode file\n");
    exit(-1);
  }
  if( getInt() != VER ) {
    printf("version is not compatible");
    exit(-1);
  }
  *csize = getInt();
  *dsize = getInt();
  *psize = getInt();
  getInt();
  getInt();
  getInt();
}

PRIVATE putInt( int n )
{
  putc( n / 256 , Fout);
  putc( n % 256 , Fout);
}

PRIVATE int getInt()
{
  return getc(Fin)*256 + getc(Fin);
}

